#include <iostream>
using namespace std;
int main()
{
    int A,B,C,D,E,F,a,b,c,d,e,f;
    cin >>A>>B>>C>>D>>E>>F>>a>>b>>c>>d>>e>>f;//един цар, една царица, два топа, два коня, два офицера и осем пешки
    if (A<2) {cout <<1-A;}
    else {cout <<"-"<<A-1;}
    if (B<2) {cout <<1-B;}
    else {cout <<"-"<<B-1;}
    if (C<3) {cout <<2-C;}
    else {cout <<"-"<<C-2;}
    if (D<3) {cout <<2-D;}
    else {cout <<"-"<<D-2;}
    if (E<3) {cout <<2-E;}
    else {cout <<"-"<<E-2;}
    if (F<9) {cout <<8-F;}
    else {cout <<"-"<<F-8;}
    cout <<endl;
    if (a<2) {cout <<1-a;}
    else {cout <<"-"<<a-1;}
    if (b<2) {cout <<1-b;}
    else {cout <<"-"<<b-1;}
    if (c<3) {cout <<2-c;}
    else {cout <<"-"<<c-2;}
    if (d<3) {cout <<2-d;}
    else {cout <<"-"<<d-2;}
    if (e<3) {cout <<2-e;}
    else {cout <<"-"<<e-2;}
    if (f<9) {cout <<8-f;}
    else {cout <<"-"<<F-f;}
    return 0;
}
